Subject: bug#70517: 29.3; suspicious error message from compile command in Emacs 29.3

From: Thomas Düssel <[email-masked]>
Date: Tue, 23 Apr 2024 00:30:41 +0200

On 4/22/24 21:40, Eli Zaretskii wrote:
>> Date: Mon, 22 Apr 2024 17:55:24 +0200
>> From:  Thomas Düssel via "Bug reports for GNU Emacs,
>>   the Swiss army knife of text editors" <[email-masked]>
>>
>> The following error message appears in the terminal from which emacs was
>> started every time I use the 'compile' command:
>>
>>   > emacs: writing to child signal FD: Invalid argument
>>
>> The compilation itself (via make) works perfectly fine. Only this new
>> message is a bit annoying. And so cryptic, isn't it? It did not appear
>> up until the latest update.
>>
>> This error message (or whatever it is) appears also, when I start emacs
>> from a non-X tty (Ctrl + Alt + F2) and with '-Q' option. To be precise,
>> it appears when I use 'M-x compile' and for longer compilation processes
>> it appears at the end of the compilation, not at the beginning.
> When a sub-process exits, Emacs writes to file descriptor which it
> monitors with pselect.  This is so we don't miss SIGCHLD for some
> reason.  Why in your case this write errors out with EINVAL, I don't
> know.  Perhaps Paul (CC'ed) could have some ideas.
>
> If this could happen for benign reasons, maybe we should silently
> ignore these errors.

Thanks for that clarification... I received my version of 29.3 as a
regular package update
for slackware 15. My system is pimped with some 32bit libraries from
alienbob,
another distributer of slackware packages. As a user with little to no
insight in the emacs
internals I would like to know, if this error message appears on other
systems aswell and
on other slackware systems in particular. Maybe the bug-report has to go
to the slackware
package maintainer?